6.0.0-git
2019-03-23

[#13549] Class 'Horde_HashTable_Vfs' not found
Summary Class 'Horde_HashTable_Vfs' not found
Queue Horde Base
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester azurit (at) pobox (dot) sk
Created 2014-09-07 (1658 days ago)
Due
Updated 2014-09-08 (1657 days ago)
Assigned 2014-09-08 (1657 days ago)
Resolved 2014-09-08 (1657 days ago)
Milestone
Patch No

History
2014-09-08 15:35:11 Michael Rubinsky Comment #8
Version ⇒ Git master
Queue ⇒ Horde Base
Reply to this comment
Actually an issue in Core's package.xml. Affects any code that uses 
Horde_Core_Data_Storage::
2014-09-08 15:33:37 Michael Rubinsky State ⇒ Resolved
 
2014-09-08 15:32:37 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit b6da2a4593a0e4cefc202ddf17daf2ff8c8940d2
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Sep 8 11:30:27 2014 -0400

     Bug: 13549 Horde_Hashtable is no longer optional.

  framework/Core/package.xml |   14 +++++++-------
  1 files changed, 7 insertions(+), 7 deletions(-)

http://github.com/horde/horde/commit/b6da2a4593a0e4cefc202ddf17daf2ff8c8940d2
2014-09-08 15:28:54 Michael Rubinsky Comment #6
Assigned to Michael Rubinsky
State ⇒ Assigned
Reply to this comment
Yup. You are correct. It looks like Hore_Core_Data_Storage uses 
Horde_Core_HashTable_PersistentSession::, which if you follow up the 
inheritance hierarchy, extends Horde_HashTable_Vfs.
2014-09-08 14:48:48 azurit (at) pobox (dot) sk Comment #5 Reply to this comment
well, i didn't configure anything so it seems to be the default.
2014-09-08 14:42:33 Michael Rubinsky Comment #4
State ⇒ Not A Bug
Reply to this comment
It's listed as an optional dependency in Core since it's only required 
if actually configured to use a HashTable driver.
2014-09-08 14:36:21 azurit (at) pobox (dot) sk Comment #3 Reply to this comment
Horde_HashTable wasn't installed, it's ok now. i don't see this 
package in dependencies on http://pear.horde.org/ , it should be added.
2014-09-08 13:56:06 Michael Rubinsky Taken from Michael Rubinsky
 
2014-09-08 13:55:51 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
Cannot reproduce. Are you sure you have the latest PEAR packages 
installed, including Horde_HashTable?
2014-09-07 11:36:01 azurit (at) pobox (dot) sk Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Class 'Horde_HashTable_Vfs' not found
Queue ⇒ Mnemo
Milestone ⇒
Patch ⇒ No
Reply to this comment
This error is displayed after clicking on Import/Export:
Class 'Horde_HashTable_Vfs' not found

Saved Queries